List audit trigger policies
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidcursor?string|nulllimit?LimitRange
1 <= value <= 100Default
50Successful Response
application/json- response
has_more?Has MoreDefault
falseitems*array<>next_cursor?string|nullcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-trigger-policies'Example Response
{ "has_more": false, "items": [ { "approval_required": true, "assessment_type": "architecture", "branch_patterns": [ "string" ], "conflict_policy": "string", "created_at": "2019-08-24T14:15:22Z", "debounce_seconds": 0, "event_types": [ "string" ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "minimum_changed_files": 0, "name": "string", "origin": "user", "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05", "path_patterns": [ "string" ], "protected_branches": [ "string" ], "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "state": "string", "updated_at": "2019-08-24T14:15:22Z", "version": 0, "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" } ], "next_cursor": "string"}